MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
FilterRegistry.hxx File Reference

This library manages all filter plugins which are enabled at compile time. More...

`#include "Compiler.h"`
Include dependency graph for FilterRegistry.hxx:

Go to the source code of this file.

## Functions
gcc_pure const FilterPlugin * | filter_plugin_by_name (const char *name)

## Variables
const FilterPlugin | null_filter_plugin
const FilterPlugin | chain_filter_plugin
const FilterPlugin | convert_filter_plugin
const FilterPlugin | route_filter_plugin
const FilterPlugin | normalize_filter_plugin
const FilterPlugin | volume_filter_plugin

## Detailed Description

This library manages all filter plugins which are enabled at compile time.

Definition in file FilterRegistry.hxx.

## Function Documentation

gcc_pure const FilterPlugin* filter_plugin_by_name | ( | const char * | name | ) |

## Variable Documentation

const FilterPlugin chain_filter_plugin

const FilterPlugin convert_filter_plugin

const FilterPlugin normalize_filter_plugin

const FilterPlugin null_filter_plugin

const FilterPlugin route_filter_plugin

const FilterPlugin volume_filter_plugin